### File

`packages/components/externals/charts/chart/chart.component.ts`

### Implements

`OnChanges` `OnDestroy`

### Metadata

selector | `eui-apex-chart`
template |
    <div #chart></div>

### Index

###### Properties
Readonly chartInstance
###### Methods
Public addPointAnnotation Public addXaxisAnnotation Public addYaxisAnnotation Public appendData Public appendSeries Public clearAnnotations Public dataURI Public destroy Public hideSeries Public highlightSeries Public paper Public removeAnnotation Public render Public resetSeries Public setLocale Public showSeries Public toggleDataPointSelection Public toggleSeries Public updateOptions Public updateSeries Public zoomX
###### Inputs
annotations autoUpdateSeries chart colors dataLabels fill forecastDataPoints grid labels legend markers noData plotOptions responsive series states stroke subtitle theme title tooltip xaxis yaxis
###### Outputs
chartReady

### Inputs

annotations
Type : `ApexAnnotations`

autoUpdateSeries
Default value : `true`

chart
Type : `ApexChart`

colors
Type : `any[]`

dataLabels
Type : `ApexDataLabels`

fill
Type : `ApexFill`

forecastDataPoints
Type : `ApexForecastDataPoints`

grid
Type : `ApexGrid`

labels
Type : `string[]`

legend
Type : `ApexLegend`

markers
Type : `ApexMarkers`

noData
Type : `ApexNoData`

plotOptions
Type : `ApexPlotOptions`

responsive
Type : `ApexResponsive[]`

series
Type : `ApexAxisChartSeries | ApexNonAxisChartSeries`

states
Type : `ApexStates`

stroke
Type : `ApexStroke`

subtitle
Type : `ApexTitleSubtitle`

theme
Type : `ApexTheme`

title
Type : `ApexTitleSubtitle`

tooltip
Type : `ApexTooltip`

xaxis
Type : `ApexXAxis`

yaxis
Type : `ApexYAxis | ApexYAxis[]`

### Outputs

chartReady
Type : `{ chartObj: ApexCharts }`

### Methods

Public addPointAnnotation
`addPointAnnotation(options: any, pushToMemory?: boolean, context?: any)`
Parameters :
Name | Type | Optional
options | `any` | No
pushToMemory | `boolean` | Yes
context | `any` | Yes
Returns : `void`

Public addXaxisAnnotation
`addXaxisAnnotation(options: any, pushToMemory?: boolean, context?: any)`
Parameters :
Name | Type | Optional
options | `any` | No
pushToMemory | `boolean` | Yes
context | `any` | Yes
Returns : `void`

Public addYaxisAnnotation
`addYaxisAnnotation(options: any, pushToMemory?: boolean, context?: any)`
Parameters :
Name | Type | Optional
options | `any` | No
pushToMemory | `boolean` | Yes
context | `any` | Yes
Returns : `void`

Public appendData
`appendData(newData: any[])`
Parameters :
Name | Type | Optional
newData | `any[]` | No
Returns : `void`

Public appendSeries
`appendSeries(newSeries: ApexAxisChartSeries | ApexNonAxisChartSeries, animate?: boolean)`
Parameters :
Name | Type | Optional
newSeries | `ApexAxisChartSeries | ApexNonAxisChartSeries` | No
animate | `boolean` | Yes
Returns : `void`

Public clearAnnotations
`clearAnnotations(options?: any)`
Parameters :
Name | Type | Optional
options | `any` | Yes
Returns : `void`

Public dataURI
`dataURI(options?: any)`
Parameters :
Name | Type | Optional
options | `any` | Yes
Returns : `any`

Public destroy
`destroy()`
Returns : `void`

Public hideSeries
`hideSeries(seriesName: string)`
Parameters :
Name | Type | Optional
seriesName | `string` | No
Returns : `void`

Public highlightSeries
`highlightSeries(seriesName: string)`
Parameters :
Name | Type | Optional
seriesName | `string` | No
Returns : `any`

Public paper
`paper()`
Returns : `void`

Public removeAnnotation
`removeAnnotation(id: string, options?: any)`
Parameters :
Name | Type | Optional
id | `string` | No
options | `any` | Yes
Returns : `void`

Public render
`render()`
Returns : `any`

Public resetSeries
`resetSeries()`
Returns : `void`

Public setLocale
`setLocale(localeName: string)`
Parameters :
Name | Type | Optional
localeName | `string` | No
Returns : `void`

Public showSeries
`showSeries(seriesName: string)`
Parameters :
Name | Type | Optional
seriesName | `string` | No
Returns : `void`

Public toggleDataPointSelection
`toggleDataPointSelection(seriesIndex: number, dataPointIndex?: number)`
Parameters :
Name | Type | Optional
seriesIndex | `number` | No
dataPointIndex | `number` | Yes
Returns : `void`

Public toggleSeries
`toggleSeries(seriesName: string)`
Parameters :
Name | Type | Optional
seriesName | `string` | No
Returns : `any`

Public updateOptions
`updateOptions(options: any, redrawPaths?: boolean, animate?: boolean, updateSyncedCharts?: boolean)`
Parameters :
Name | Type | Optional
options | `any` | No
redrawPaths | `boolean` | Yes
animate | `boolean` | Yes
updateSyncedCharts | `boolean` | Yes
Returns : `any`

Public updateSeries
`updateSeries(newSeries: ApexAxisChartSeries | ApexNonAxisChartSeries, animate?: boolean)`
Parameters :
Name | Type | Optional
newSeries | `ApexAxisChartSeries | ApexNonAxisChartSeries` | No
animate | `boolean` | Yes
Returns : `any`

Public zoomX
`zoomX(min: number, max: number)`
Parameters :
Name | Type | Optional
min | `number` | No
max | `number` | No
Returns : `void`

### Properties

Readonly chartInstance
Type : `unknown`
Default value : `signal<ApexCharts | null>(null)`

# results matching ""

# No results matching ""